libstdc++: std::_Fwd_list_const_iterator< _Tp > Struct Template Reference

libstdc++

std::_Fwd_list_const_iterator< _Tp > Struct Template Reference

`#include <forward_list.h>`

## Public Types
typedef const _Fwd_list_node< _Tp > | _Node
typedef _Fwd_list_const_iterator< _Tp > | _Self
typedef ptrdiff_t | difference_type
typedef _Fwd_list_iterator< _Tp > | iterator
typedef std::forward_iterator_tag | iterator_category
typedef const _Tp * | pointer
typedef const _Tp & | reference
typedef _Tp | value_type

## Public Member Functions
| _Fwd_list_const_iterator (const _Fwd_list_node_base *__n) noexcept
| _Fwd_list_const_iterator (const iterator &__iter) noexcept
reference | operator* () const noexcept
_Self & | operator++ () noexcept
_Self | operator++ (int) noexcept
pointer | operator-> () const noexcept

## Friends
template<typename, typename>
struct | _Fwd_list_base
template<typename, typename>
class | forward_list
bool | operator== (const _Self &__x, const _Self &__y) noexcept

## Detailed Description

template<typename _Tp>
struct std::_Fwd_list_const_iterator< _Tp >

A forward_list::const_iterator.

All the functions are op overloads.

Definition at line 249 of file forward_list.h.

## Member Typedef Documentation

## ◆ _Node

template<typename _Tp>

typedef const _Fwd_list_node<_Tp> std::_Fwd_list_const_iterator< _Tp >::_Node

Definition at line 252 of file forward_list.h.

## ◆ _Self

template<typename _Tp>

typedef _Fwd_list_const_iterator<_Tp> std::_Fwd_list_const_iterator< _Tp >::_Self

Definition at line 251 of file forward_list.h.

## ◆ difference_type

template<typename _Tp>

typedef ptrdiff_t std::_Fwd_list_const_iterator< _Tp >::difference_type

Definition at line 258 of file forward_list.h.

## ◆ iterator

template<typename _Tp>

typedef _Fwd_list_iterator<_Tp> std::_Fwd_list_const_iterator< _Tp >::iterator

Definition at line 253 of file forward_list.h.

## ◆ iterator_category

template<typename _Tp>

typedef std::forward_iterator_tag std::_Fwd_list_const_iterator< _Tp >::iterator_category

Definition at line 259 of file forward_list.h.

## ◆ pointer

template<typename _Tp>

typedef const _Tp* std::_Fwd_list_const_iterator< _Tp >::pointer

Definition at line 256 of file forward_list.h.

## ◆ reference

template<typename _Tp>

typedef const _Tp& std::_Fwd_list_const_iterator< _Tp >::reference

Definition at line 257 of file forward_list.h.

## ◆ value_type

template<typename _Tp>

typedef _Tp std::_Fwd_list_const_iterator< _Tp >::value_type

Definition at line 255 of file forward_list.h.

## Constructor & Destructor Documentation

## ◆ _Fwd_list_const_iterator() [1/3]

template<typename _Tp>

std::_Fwd_list_const_iterator< _Tp >::_Fwd_list_const_iterator | ( |  | ) |
| inlinenoexcept

Definition at line 261 of file forward_list.h.

## ◆ _Fwd_list_const_iterator() [2/3]

template<typename _Tp>

std::_Fwd_list_const_iterator< _Tp >::_Fwd_list_const_iterator | ( | const _Fwd_list_node_base * | __n | ) |
| inlineexplicitnoexcept

Definition at line 265 of file forward_list.h.

## ◆ _Fwd_list_const_iterator() [3/3]

template<typename _Tp>

std::_Fwd_list_const_iterator< _Tp >::_Fwd_list_const_iterator | ( | const iterator & | __iter | ) |
| inlinenoexcept

Definition at line 268 of file forward_list.h.

## Member Function Documentation

## ◆ operator*()

template<typename _Tp>

reference std::_Fwd_list_const_iterator< _Tp >::operator* | ( |  | ) | const
| inlinenoexcept

Definition at line 273 of file forward_list.h.

## ◆ operator++() [1/2]

template<typename _Tp>

_Self & std::_Fwd_list_const_iterator< _Tp >::operator++ | ( |  | ) |
| inlinenoexcept

Definition at line 282 of file forward_list.h.

## ◆ operator++() [2/2]

template<typename _Tp>

_Self std::_Fwd_list_const_iterator< _Tp >::operator++ | ( | int |  | ) |
| inlinenoexcept

Definition at line 289 of file forward_list.h.

## ◆ operator->()

template<typename _Tp>

pointer std::_Fwd_list_const_iterator< _Tp >::operator-> | ( |  | ) | const
| inlinenoexcept

Definition at line 278 of file forward_list.h.

## Friends And Related Symbol Documentation

## ◆ _Fwd_list_base

template<typename _Tp>
template<typename, typename>

friend struct _Fwd_list_base
| friend

Definition at line 318 of file forward_list.h.

## ◆ forward_list

template<typename _Tp>
template<typename, typename>

friend class forward_list
| friend

Definition at line 316 of file forward_list.h.

## ◆ operator==

template<typename _Tp>

bool operator== | ( | const _Self & | __x,
|  | const _Self & | __y )
| friend

Forward list const_iterator equality comparison.

Definition at line 301 of file forward_list.h.

The documentation for this struct was generated from the following file:

- forward_list.h